Skip to content

GET Internal object for view.

GET
/api/config/namespaces/{namespace}/view_internal/{view_kind}/{view_name}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/view_internal/example/example \
--header 'Authorization: <Authorization>'

Returned internal object for a given view.

Examples of this operation.

namespace
required
string

Namespace Namespace for the object to be retrieved.

view_kind
required
string

Kind of View Kind of view of which internal objec is requested e.g. Aws_vpc_site, azure_vnet_site.

view_name
required
string

Name of view Name of the view for which internal object is requested.

A successful response.

Media typeapplication/json
GetResponse

Response for GET API.

object
view_internal
object
allocationMap
Allocation Map

Allocation Map keeps track of all allocations for this view. The key is the allocator name.

object
child_objects
child_objects

Reference to child objects.

Array<object>
ViewRefType

ViewRefType represents a reference to a view.

object
kind
kind

Kind of the view object.

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
uid
uid

UID of the view object.

string format: uuid
>= 36 characters <= 1024 characters
view
object
kind
kind

Kind of the view object.

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
uid
uid

UID of the view object.

string format: uuid
>= 36 characters <= 1024 characters
Examplegenerated
{
"view_internal": {
"allocationMap": {},
"child_objects": [
{
"kind": "example",
"name": "example",
"namespace": "example",
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
],
"view": {
"kind": "example",
"name": "example",
"namespace": "example",
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example